Delete Document
curl --request DELETE \
--url https://api.libraria.ai/library/{library_id}/document/{document_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.libraria.ai/library/{library_id}/document/{document_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.libraria.ai/library/{library_id}/document/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "doc_1",
"object": "document",
"deleted": true
}
Libraria API
Delete Document
Delete a document from a library
DELETE
/
library
/
{library_id}
/
document
/
{document_id}
Delete Document
Parameters
The ID of the library to add the document to
The ID of the document to delete
Response
The ID of the document that was deleted
The type of object deleted
Whether or not the document was deleted
{
"id": "doc_1",
"object": "document",
"deleted": true
}
⌘I

